package bdd.search.spider;

import java.io.InputStream;
import java.io.FileInputStream;
import java.io.File;
import java.io.IOException;

/** Written by Tim Macinta 1997                           <br>
 *  Distributed under the GNU Public License
 *       (a copy of which is enclosed with the source).   <br>
 *                                                        <br> 
 *  This class is capable of extracting words from a cached HTML file.
 */
public class HTMLWordExtractor extends WordExtractor {
  
  public HTMLWordExtractor(File cache_file) throws IOException {
    InputStream in = new FileInputStream(cache_file);
    int state = 0;
    StringBuffer sb = new StringBuffer();
    int i = in.read();
    while (i >= 0) {
      switch (state) {
      case '<':
	if (i == '>') state = 0;
	break;
      case 0:
	if (Character.isLetterOrDigit((char) i)) {
	  sb.append((char) i);
	} else {
	  if (sb.length() > 0) {
	    addWord(sb.toString());
	    sb.setLength(0);
	  }
	  if (i == '<') {
	    state = '<';
	  }
	}
      }
      i = in.read();
    }
    if (sb.length() > 0) addWord(sb.toString());
    in.close();
  }

}
